Bug 166506 - Review Request: python-basemap - basemap toolkit for matplotlib
Review Request: python-basemap - basemap toolkit for matplotlib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On: 173778
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-22 13:08 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 13:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-08-22 13:08:18 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/python-basemap.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/python-basemap-
Description: 

Basemap is a matplotlib toolkit that allows you to plot data on map
projections (with continental and political boundaries)
Comment 1 José Matos 2005-09-09 11:58:01 EDT
Orion, are youworking on the latest version of python-basemap? 
 
0.6 is out and I intend to review the package. 
  
Comment 2 José Matos 2005-09-15 08:01:05 EDT
+ the package builds in mock/x86_64 
+ rpmlint 
W: python-basemap 
wrong-file-end-of-line-encoding /usr/share/doc/python-basemap-0.5.2/nytolondon.py 
W: python-basemap 
wrong-file-end-of-line-encoding /usr/share/doc/python-basemap-0.5.2/ireland.py 
 
  These can be ignored. 
 
+ package name follows the guideline 
+ package follows packaging guidelines 
+ license is valid and included in %doc/README 
+ spec file is legible and is written in American English 
+ source matches upstream 
+ Requires and BR OK 
+ files ownership OK 
 
Needs work (license related) 
- the license seems to me to be BSD like 
  the Python Software Foundation License is described here: 
http://www.opensource.org/licenses/PythonSoftFoundation.php 
 
  the license of the package is here: 
http://cvs.sourceforge.net/viewcvs.py/matplotlib/toolkits/basemap/README?rev=1.5&view=markup 
 
  In case of doubt you could contact its author... 
 
- You need to include LICENSE_proj4 in %doc 
 
  If you fix these problems the package is Approved. 
Comment 3 Orion Poplawski 2005-09-22 12:08:26 EDT
I've packaged up 0.6.2. spec and src.rpm in the same location.

I've sent an email to Jeff about the license.

I'm not packaging proj4, just the python wrapper so I don't think I need
LICENSE_proj4.
Comment 4 José Matos 2005-11-14 17:27:45 EST
Is there any new development here? 
 
If you want to I can contact Jeff about the license. 
Comment 5 Orion Poplawski 2005-11-14 17:30:24 EST
(In reply to comment #4)
> Is there any new development here? 
>  
> If you want to I can contact Jeff about the license. 

That might be helpful, I emailed him and got no response.
Comment 6 José Matos 2005-11-14 19:04:44 EST
On a second look, the license is: 
 
copyright (c) 2004 by Jeffrey Whitaker. 
 
Permission to use, copy, modify, and distribute this software and its   
documentation for any purpose and without fee is hereby granted,   
provided that the above copyright notices appear in all copies and that   
both the copyright notices and this permission notice appear in   
supporting documentation.   
 
In PKG-INFO this description shows: 
License: OSI Approved 
 
Searching in OSI the best match seems to be: 
http://www.opensource.org/licenses/mit-license.html 
 
Since this was the latest problem the package is approved. 
Comment 7 Orion Poplawski 2005-11-20 13:14:41 EST
Jose -


  Can you take a look at the latest, now split into a -data package as well?


http://www.cora.nwra.com/~orion/fedora/python-basemap-0.7.2.1-1.src.rpm
http://www.cora.nwra.com/~orion/fedora/python-basemap-data-0.7-1.src.rpm
Comment 8 José Matos 2005-11-20 15:14:55 EST
Could you please open another entry for python-basemap-data? 
 
In the patch that you apply to python-basemap I see this: 
 
+# Always build pyshapelib for RPM consistency, uses system shapelib 
 
Why? 
 
After this will be build in a safe environment so no problem, OTHO maybe it 
could be interesting to package pyshapelib by itself, no? 
 
Is this the only place where it is used? 
I saw a message from Jeff in the matplotlib list 
where he says that he rewrote some part that required one of the versions 
of array (either Numeric or num) in python thus creating pyshapelib. 
Comment 9 Orion Poplawski 2005-11-20 18:38:00 EST
(In reply to comment #8)
> Could you please open another entry for python-basemap-data? 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173778

> In the patch that you apply to python-basemap I see this: 
>  
> +# Always build pyshapelib for RPM consistency, uses system shapelib 
>  
> Why? 
>  
> After this will be build in a safe environment so no problem, OTHO maybe it 
> could be interesting to package pyshapelib by itself, no? 
>  
> Is this the only place where it is used? 
> I saw a message from Jeff in the matplotlib list 
> where he says that he rewrote some part that required one of the versions 
> of array (either Numeric or num) in python thus creating pyshapelib. 

Two issues here:

- If I build the package on my system and python-basemap is already installed it
won't build the pyshapelib extensions resulting in failure or a bad
(inconsistent) rpm.  Since I don't always build in mock, I patched setup.py to
always build it.

- I'm using the system shapelib because I think it is *bad* for packages to
provide their own copies of libraries that are already provided elsewhere.  I
don't think it's worth packaging pyshapelib separately at the moment, but we may
wan't to split if someone else want's it.  Biggest issue is that I'm not sure
there is really an *official* pyshapelib anywhere.
Comment 10 Michael A. Peters 2005-11-20 18:53:11 EST
(In reply to comment #9)

> Two issues here:
> 
> - If I build the package on my system and python-basemap is already installed it
> won't build the pyshapelib extensions resulting in failure or a bad
> (inconsistent) rpm.  Since I don't always build in mock, I patched setup.py to
> always build it.

And that is the right thing to do - many people (well, some anyway) rebuild a
src.rpm on their system with a minor tweak - I don't know if this rpm would be
rebuilt by any users, but it could be. rpm's should build on a users system,
even if the same version is already installed.
Comment 11 Orion Poplawski 2006-01-03 16:39:59 EST
Are there any outstanding issues here, or can this and the data package be approved?

Thanks!
Comment 12 José Matos 2006-01-04 14:24:35 EST
No outstanding issues. I am sorry I have planned to review this before but 
real life got in the way. 
 
I am running now a test that will complete the formal review. Expect it soon. 
Comment 13 José Matos 2006-01-04 15:03:49 EST
Review for release 1:  
* RPM name is OK  
* Spec name is OK  
* Source basemap-0.7.2.1.tar.gz is the same as upstream  
* Builds fine in mock in x86_64  
* rpmlint of python-basemap looks OK  
* File list of python-basemap looks OK  
* License is OK (GPL)  
* Spec file is readable, it is written in American English and it follows  
packaging rules.  
* BR are OK  
  
ACCEPTED 
  
Comment 14 Orion Poplawski 2006-01-05 13:03:52 EST
Checked in and built on devel.

Added to owners.list.

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.